Legacy OS Support for CylancePROTECT

For CylancePROTECT and Windows OS Environments

The CylancePROTECT agent has entered a Legacy OS Support initiative. This initiative provides continued support for CylancePROTECT deployed on legacy or deprecated operating systems.

The BlackBerry agent is supported by BlackBerry Technical Support while deployed on Legacy operating systems. This agent is not able to upgrade beyond CylancePROTECT agent version 2.1.1564 to 2.1.1568, as these are the latest versions.

Note that only Legacy OS (XP, Vista, Windows 8 and 2003) are supported on CylancePROTECT 1564/1568. Any newer OS is not supported and must be upgraded to a more recent and supported version of the Product.

This initiative allows for further modernization and innovation for the CylancePROTECT agent, while simultaneously accounting for the need to continue support for legacy operating systems. 

List of legacy operating systems

(*) CylancePROTECT version 2.1.1568 is available upon request by contacting BlackBerry Technical Support Services. Open a Support ticket via the myAccount portal to request an enablement for CylancePROTECT version 2.1.1568.
OS Version Latest version of supported CylancePROTECT
Microsoft Windows XP 2.1.1568 (*)
Microsoft Windows Vista 2.1.1564
Microsoft Windows Windows 8 2.1.1564
Microsoft Windows Server 2003 (includes SP2 and R2) 2.1.1568 (*)
Microsoft Windows Server 2008 (does not include R2) 2.1.1568 (*)
Microsoft Windows Server 2008 R2 3.0
Version
Microsoft Windows XP
Microsoft Windows Vista
Microsoft Windows Windows 8
Microsoft Windows Server 2003 (includes SP2 and R2)
Microsoft Windows Server 2008 (does not include R2)
Microsoft Windows Server 2008 R2
Latest version of supported CylancePROTECT
Microsoft Windows 2.1.1568 (*)
Microsoft Windows 2.1.1564
Microsoft Windows 2.1.1564
Microsoft Windows Server 2.1.1568 (*)
Microsoft Windows Server 2.1.1568 (*)
Microsoft Windows Server 3.0

Summary Matrix

The following summary matrix outlines the type of high-level support that the CylancePROTECT agent receives if installed on a fully supported operating system instead of a legacy operating system.
Type of support Supported operating system Legacy operating system
Troubleshoot product issues with BlackBerry Product Support* Yes Yes
Receive product bug fixes from BlackBerry Engineering Yes No
Receive product security updates from BlackBerry Engineering* Yes No
Receive product feature enhancements from BlackBerry Engineering Yes No
Supported operating system
Troubleshoot product issues with BlackBerry Product Support* Yes
Receive product bug fixes from BlackBerry Engineering Yes
Receive product security updates from BlackBerry Engineering* Yes
Receive product feature enhancements from BlackBerry Engineering Yes
Legacy operating system
Troubleshoot product issues with BlackBerry Product Support* Yes
Receive product bug fixes from BlackBerry Engineering No
Receive product security updates from BlackBerry Engineering* No
Receive product feature enhancements from BlackBerry Engineering No

FAQs

What is a legacy operating system (OS)?

A legacy operating system does not receive further feature enhancements or functionality related to the CylancePROTECT agent.

An agent installed on a legacy operating system does not receive product feature enhancements from the BlackBerry Engineering team.

The reasons for this are as follows:

  • Technological burden: These operating systems are too old and no longer support the necessary framework or technologies that BlackBerry requires to continue improving and innovating the product.
  • Manufacturer Deprecation: The operating system is no longer supported by the manufacturer. This lack of support could expose serious security flaws or bugs that will not be addressed by the manufacturer. 
What does “Troubleshoot product issues with BlackBerry Product Support” mean?

If the CylancePROTECT agent is installed on a legacy operating system, BlackBerry Technical Support can still assist in identifying issues related to the CylancePROTECT agent, and if possible, resolving the issue within the available means of the CylancePROTECT agent. 

What does “Receive product bug fixes from BlackBerry Engineering” mean?

If the CylancePROTECT agent is installed on a fully supported operating system, BlackBerry Engineering provides bug fixes for the CylancePROTECT agent. 

For legacy operating systems, what does “Receive product security updates from BlackBerry Engineering” mean?

If the CylancePROTECT agent is installed on a fully supported operating system, BlackBerry Engineering still provides critical security updates for the CylancePROTECT agent. Security updates apply only to security issues with the CylancePROTECT agent, and not security issues that arise from the operating system.

Is there a new system requirement for CylancePROTECT agent version 2.1.1570 and later?

Yes.

The new minimum Microsoft .NET Framework requirement is .NET Framework 3.5. BlackBerry recommends .NET Framework 4.0 and later.

What happens if I try to update my legacy operating system to an agent version later than version 2.1.1568?

There are mechanisms in place for both the agent and Console that prevents the agent from updating to any version later than version 2.1.1568.

How will I be able to track which device with a legacy operating system is updating to an agent version later than version 2.1.1568?

The Console will display Could not update to target next to the agent version on the Devices tab as well as on the Device Details page. The Devices tab will also have an additional column called "Target Agent Version" to display what agent version the device is attempting to update to.